/*
 * Copyright (C) 2022 jimj316
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package moe.nekojimi.chords.commands;

import java.util.List;
import moe.nekojimi.chords.Main;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

public class RemoveCommand extends Command
{

    public RemoveCommand(Main bot)
    {
        super(bot, "remove");
    }

    @Override
    public void call(GuildMessageReceivedEvent event, List<String> arg)
    {
        try
        {
            int i = Integer.parseInt(arg.get(0));
            boolean removed = bot.getQueueManager().removeSong(i - 1);
            final int size = bot.getQueueManager().getJukeboxQueue().size();
            if (removed)
                event.getChannel().sendMessage("Song removed.").queue();
            else if (size > 1)
                event.getChannel().sendMessage("That's not a number between 1 and " + size + "!").queue();
            else if (size == 1)
                event.getChannel().sendMessage("There's only one song to remove and that's not one of them!").queue();

        } catch (NumberFormatException ex)
        {
            event.getChannel().sendMessage(arg + " isn't a number!").queue();
        }
    }

}
